public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/jemalloc/
Date: Thu, 23 Aug 2018 00:22:33 +0000 (UTC)	[thread overview]
Message-ID: <1534983737.6ce311f8ad19cd606c2b2155cd765c8383b3bdd0.whissi@gentoo> (raw)

commit:     6ce311f8ad19cd606c2b2155cd765c8383b3bdd0
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Thu Aug 23 00:02:45 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Aug 23 00:22:17 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ce311f8

dev-libs/jemalloc: bump to 5.1.0

Closes: https://github.com/gentoo/gentoo/pull/9471
Closes: https://bugs.gentoo.org/662922
Package-Manager: Portage-2.3.44, Repoman-2.3.10
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-libs/jemalloc/Manifest              |  1 +
 dev-libs/jemalloc/jemalloc-5.1.0.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-libs/jemalloc/Manifest b/dev-libs/jemalloc/Manifest
index e32161b7b21..53502225ff4 100644
--- a/dev-libs/jemalloc/Manifest
+++ b/dev-libs/jemalloc/Manifest
@@ -2,3 +2,4 @@ DIST jemalloc-3.6.0.tar.bz2 338964 BLAKE2B a5edacc85c5bebf3b373e7fc8bafd9449273f
 DIST jemalloc-4.4.0.tar.bz2 440144 BLAKE2B 6acb91c5be6c5b17c209341dd08e6973e3ad5ecdfe7ebe5d8c78181cddca1fccba3c11628e736d66acd7698f7813f38077033d39093bf2e4bd704c8b4de60e7b SHA512 2f88fb17ede3bf87e334e9c80949870e0dd85b5adcdd89a1750ccf6df5240f35293159ac0a360d3a29cf0b1d17edf86dcc7997c6bf3190ae7da7442d3a3cc14e
 DIST jemalloc-4.5.0.tar.bz2 449992 BLAKE2B 6141c71f7f5f9cee91a59eeed9c69b0a69b3cc39666aa608445073c11ee3ca9b4777a851c5cb5adac80d42bfbf10a6726e5dc1340ffe85ea1ee884d87c7865da SHA512 76953363fe1007952232220afa1a91da4c1c33c02369b5ad239d8dd1d0792141197c15e8489a8f4cd301b08494e65cadd8ecd34d025cb0285700dd78d7248821
 DIST jemalloc-5.0.1.tar.bz2 499300 BLAKE2B 551933fcd93315968cbf89bfadc40313717ff216141af8a131f2333d10090438ddf36fbfdc0ee831cbec6f930ae15aa9cfaafae72ed4f38dd97b00712ca918e8 SHA512 8cb5957a5724eb2bbad120cf0028ea8b2b14b4a416c1751b7c967351a7fd51135058ea0d3c4dc1d127c86f3aa7e9fd5ef101857110aabfdb7789427791c432c3
+DIST jemalloc-5.1.0.tar.bz2 515622 BLAKE2B 3c8b35d30fca0018e3e32452e6fa41c7ac59f9f2f7d4bc243237fde95025ab5a7562fb86b5afe2ca9b7bb072f7baf6ac7589a4862d9ebaafddae187d93e20da0 SHA512 d9abebe54d303ca931b8c31c1033f23ff5fb060f2377ec8386f4d79c352e65c78ed34f680c352dac14f7d7115d10245782d553d988bc13df2eb34a2f0942ef6f

diff --git a/dev-libs/jemalloc/jemalloc-5.1.0.ebuild b/dev-libs/jemalloc/jemalloc-5.1.0.ebuild
new file mode 100644
index 00000000000..7eda36ea909
--- /dev/null
+++ b/dev-libs/jemalloc/jemalloc-5.1.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools toolchain-funcs multilib-minimal
+
+DESCRIPTION="Jemalloc is a general-purpose scalable concurrent allocator"
+HOMEPAGE="http://jemalloc.net/ https://github.com/jemalloc/jemalloc"
+SRC_URI="https://github.com/jemalloc/jemalloc/releases/download/${PV}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+IUSE="debug hardened lazy-lock static-libs stats xmalloc"
+HTML_DOCS=( doc/jemalloc.html )
+PATCHES=( "${FILESDIR}/${PN}-5.0.1-strip-optimization.patch"
+	"${FILESDIR}/${PN}-4.5.0-fix_html_install.patch"
+)
+MULTILIB_WRAPPED_HEADERS=( /usr/include/jemalloc/jemalloc.h )
+# autotools-utils.eclass auto-adds configure options when static-libs is in IUSE
+# but jemalloc doesn't implement them in its configure; need this here to
+# supress the warnings until automagic is removed from the eclass
+QA_CONFIGURE_OPTIONS="--enable-static --disable-static --enable-shared --disable-shared"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+multilib_src_configure() {
+	local myconf=()
+
+	if use hardened ; then
+		myconf+=( --disable-syscall )
+	fi
+
+	ECONF_SOURCE="${S}" \
+	econf  \
+		$(use_enable debug) \
+		$(use_enable lazy-lock) \
+		$(use_enable stats) \
+		$(use_enable xmalloc) \
+		"${myconf[@]}"
+}
+
+multilib_src_install() {
+	# Copy man file which the Makefile looks for
+	cp "${S}/doc/jemalloc.3" "${BUILD_DIR}/doc" || die
+	emake DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		# fixup install_name, #437362
+		install_name_tool \
+			-id "${EPREFIX}"/usr/$(get_libdir)/libjemalloc.2.dylib \
+			"${ED}"/usr/$(get_libdir)/libjemalloc.2.dylib || die
+	fi
+	use static-libs || find "${ED}" -name '*.a' -delete
+}


             reply	other threads:[~2018-08-23  0:22 UTC|newest]

Thread overview: 67+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-08-23  0:22 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-25  0:01 [gentoo-commits] repo/gentoo:master commit in: dev-libs/jemalloc/ Joshua Kinard
2022-10-24  6:02 Joonas Niilola
2022-10-24  6:02 Joonas Niilola
2022-10-21 14:52 Arthur Zamarin
2022-10-21 14:52 Arthur Zamarin
2022-10-21 14:52 Arthur Zamarin
2022-10-21 14:52 Arthur Zamarin
2022-10-21 14:52 Arthur Zamarin
2022-10-21 12:02 Joonas Niilola
2022-10-21 12:02 Joonas Niilola
2022-09-26  7:31 Michał Górny
2022-09-19  6:42 Michał Górny
2022-08-30 16:05 Arthur Zamarin
2022-08-30  7:17 Arthur Zamarin
2022-07-31 11:08 Agostino Sarubbo
2022-07-30 14:31 Arthur Zamarin
2022-07-30 12:35 Arthur Zamarin
2022-07-30  9:51 Arthur Zamarin
2022-07-30  9:51 Arthur Zamarin
2022-07-30  7:05 Joonas Niilola
2022-07-30  7:05 Joonas Niilola
2022-07-03 17:09 James Le Cuirot
2022-07-02  7:02 Jakov Smolić
2022-07-01  6:16 Arthur Zamarin
2022-07-01  6:10 Arthur Zamarin
2022-07-01  6:10 Arthur Zamarin
2022-07-01  5:18 Arthur Zamarin
2022-06-30 22:12 Yixun Lan
2022-06-30 21:47 Sam James
2022-06-30  5:55 Joonas Niilola
2022-06-30  5:55 Joonas Niilola
2022-05-28 20:42 Jakov Smolić
2022-05-14  5:32 WANG Xuerui
2022-05-05  9:51 WANG Xuerui
2022-01-23  7:41 Joonas Niilola
2022-01-20 11:47 Sam James
2022-01-18 22:16 Sam James
2022-01-18 12:26 Sam James
2022-01-15 22:01 Sam James
2022-01-15 22:01 Sam James
2022-01-15 10:25 Jakov Smolić
2022-01-15 10:25 Jakov Smolić
2021-09-20 20:54 James Le Cuirot
2021-03-21 10:19 Sergei Trofimovich
2020-09-01  9:50 Yixun Lan
2019-12-08  4:50 Matt Turner
2019-11-21 17:17 Sergei Trofimovich
2019-11-14 11:55 Agostino Sarubbo
2019-11-13 16:07 Agostino Sarubbo
2019-11-13  8:43 Agostino Sarubbo
2019-11-13  8:16 Agostino Sarubbo
2019-11-13  7:48 Agostino Sarubbo
2019-11-13  7:39 Agostino Sarubbo
2019-11-12 17:47 Aaron Bauman
2019-08-07 20:26 Thomas Deutschmann
2019-08-07 20:26 Thomas Deutschmann
2018-12-12 12:57 Mikle Kolyada
2018-05-28  6:56 Jory Pratt
2018-04-09 15:01 Lars Wendler
2018-04-09 14:23 Lars Wendler
2017-12-03 17:50 Fabian Groffen
2017-08-29 14:14 Guilherme Amadio
2016-12-14  0:40 Jory Pratt
2016-07-17  8:15 Jory Pratt
2015-11-28 16:23 Jory Pratt
2015-11-26 21:58 Jory Pratt

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1534983737.6ce311f8ad19cd606c2b2155cd765c8383b3bdd0.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox